Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Hello, the mod works on raft 1.05 version? or it needs a new mod?

Wow, I did not know that the update. Soon I'll upgrade mod to 1.05 :)

Thanks dude